import 'package:json_annotation/json_annotation.dart';

import '../../bean/member_info.dart';

part 'user_info_response.g.dart';

@JsonSerializable()
class UserInfoResponse {
  @JsonKey(name: 'ssid')
  String ssid;

  @JsonKey(name: 'deviceId')
  String? deviceId;

  @JsonKey(name: 'memberInfo')
  MemberInfo? memberInfo;

  UserInfoResponse(
      this.ssid, this.deviceId, this.memberInfo);

  factory UserInfoResponse.fromJson(Map<String, dynamic> json) =>
      _$UserInfoResponseFromJson(json);
}